Package: groovy.util

## [Java] Interface ReferenceResolver

- Strategy for picking the correct synthetic reference identifier.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getReferenceFor(String nodeName)` Returns the name of the property that references another node.

- - ### Method Detail

    - #### public String getReferenceFor(String nodeName)

      Returns the name of the property that references another node.

      Parameters:
        `nodeName` - the name of the node